# Node Class Reference

`#include <CouenneProblem.hpp>`

List of all members.

## Public Member Functions
void | node (int, double, double, double, int, int)
void | color_vertex (register int k)
int | get_index () const
double | get_coeff () const
double | get_lb () const
double | get_ub () const
int | get_color () const
int | get_code () const
int | get_sign () const
void | bounds (register double a, register double b)
## Private Attributes
int | index
double | coeff
double | lb
double | ub
int | color
int | code
int | sign

## Detailed Description

Definition at line 53 of file CouenneProblem.hpp.

## Member Function Documentation

void Node::node | ( | int | ,
|  | double | ,
|  | double | ,
|  | double | ,
|  | int | ,
|  | int |  |
| ) |  |  |

void Node::color_vertex | ( | register int | k | ) | `[inline]`

Definition at line 63 of file CouenneProblem.hpp.

References color.

int Node::get_index | ( |  | ) | const`[inline]`

Definition at line 64 of file CouenneProblem.hpp.

References index.

Referenced by myclass::operator()(), and myclass0::operator()().

double Node::get_coeff | ( |  | ) | const`[inline]`

Definition at line 65 of file CouenneProblem.hpp.

References coeff.

Referenced by myclass0::operator()().

double Node::get_lb | ( |  | ) | const`[inline]`

Definition at line 66 of file CouenneProblem.hpp.

References lb.

Referenced by myclass0::operator()().

double Node::get_ub | ( |  | ) | const`[inline]`

Definition at line 67 of file CouenneProblem.hpp.

References ub.

Referenced by myclass0::operator()().

int Node::get_color | ( |  | ) | const`[inline]`

Definition at line 68 of file CouenneProblem.hpp.

References color.

int Node::get_code | ( |  | ) | const`[inline]`

Definition at line 69 of file CouenneProblem.hpp.

References code.

Referenced by myclass0::operator()().

int Node::get_sign | ( |  | ) | const`[inline]`

Definition at line 70 of file CouenneProblem.hpp.

References sign.

void Node::bounds | ( | register double | a,
|  | register double | b |
| ) |  |  | `[inline]`

Definition at line 71 of file CouenneProblem.hpp.

References lb, and ub.

## Member Data Documentation

int Node::index`[private]`

Definition at line 54 of file CouenneProblem.hpp.

Referenced by get_index().

double Node::coeff`[private]`

Definition at line 55 of file CouenneProblem.hpp.

Referenced by get_coeff().

double Node::lb`[private]`

Definition at line 56 of file CouenneProblem.hpp.

Referenced by bounds(), and get_lb().

double Node::ub`[private]`

Definition at line 57 of file CouenneProblem.hpp.

Referenced by bounds(), and get_ub().

int Node::color`[private]`

Definition at line 58 of file CouenneProblem.hpp.

Referenced by color_vertex(), and get_color().

int Node::code`[private]`

Definition at line 59 of file CouenneProblem.hpp.

Referenced by get_code().

int Node::sign`[private]`

Definition at line 60 of file CouenneProblem.hpp.

Referenced by get_sign().

The documentation for this class was generated from the following file:

- CouenneProblem.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines